/discord-apps | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
discord-apps_applications_get_activity_instance | GET /applications/{application_id}/activity-instances/{instance_id} |
discord-apps_bulk_set_application_commands | PUT /applications/{application_id}/commands |
discord-apps_bulk_set_guild_application_commands | PUT /applications/{application_id}/guilds/{guild_id}/commands |
discord-apps_consume_entitlement | POST /applications/{application_id}/entitlements/{entitlement_id}/consume |
discord-apps_create_application_command | POST /applications/{application_id}/commands |
discord-apps_create_application_emoji | POST /applications/{application_id}/emojis |
discord-apps_create_entitlement | POST /applications/{application_id}/entitlements |
discord-apps_create_guild_application_command | POST /applications/{application_id}/guilds/{guild_id}/commands |
discord-apps_create_interaction_response | POST /interactions/{interaction_id}/{interaction_token}/callback |
discord-apps_delete_application_command | DELETE /applications/{application_id}/commands/{command_id} |
discord-apps_delete_application_emoji | DELETE /applications/{application_id}/emojis/{emoji_id} |
discord-apps_delete_entitlement | DELETE /applications/{application_id}/entitlements/{entitlement_id} |
discord-apps_delete_guild_application_command | DELETE /applications/{application_id}/guilds/{guild_id}/commands/{command_id} |
discord-apps_get_application | GET /applications/{application_id} |
discord-apps_get_application_command | GET /applications/{application_id}/commands/{command_id} |
discord-apps_get_application_emoji | GET /applications/{application_id}/emojis/{emoji_id} |
discord-apps_get_application_role_connections_metadata | GET /applications/{application_id}/role-connections/metadata |
discord-apps_get_entitlement | GET /applications/{application_id}/entitlements/{entitlement_id} |
discord-apps_get_entitlements | GET /applications/{application_id}/entitlements |
discord-apps_get_guild_application_command | GET /applications/{application_id}/guilds/{guild_id}/commands/{command_id} |
discord-apps_get_guild_application_command_permissions | GET /applications/{application_id}/guilds/{guild_id}/commands/{command_id}/permissions |
discord-apps_get_my_application | GET /applications/@me |
discord-apps_list_application_commands | GET /applications/{application_id}/commands |
discord-apps_list_application_emojis | GET /applications/{application_id}/emojis |
discord-apps_list_guild_application_command_permissions | GET /applications/{application_id}/guilds/{guild_id}/commands/permissions |
discord-apps_list_guild_application_commands | GET /applications/{application_id}/guilds/{guild_id}/commands |
discord-apps_set_guild_application_command_permissions | PUT /applications/{application_id}/guilds/{guild_id}/commands/{command_id}/permissions |
discord-apps_update_application | PATCH /applications/{application_id} |
discord-apps_update_application_command | PATCH /applications/{application_id}/commands/{command_id} |
discord-apps_update_application_emoji | PATCH /applications/{application_id}/emojis/{emoji_id} |
discord-apps_update_application_role_connections_metadata | PUT /applications/{application_id}/role-connections/metadata |
discord-apps_update_guild_application_command | PATCH /applications/{application_id}/guilds/{guild_id}/commands/{command_id} |
discord-apps_update_my_application | PATCH /applications/@me |
discord-apps_upload_application_attachment | POST /applications/{application_id}/attachment |
discord-apps_applications_get_activity_instance
GET /applications/{application_id}/activity-instances/{instance_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
instance_id | string | Yes | — | Instance Id |
discord-apps_bulk_set_application_commands
PUT /applications/{application_id}/commands Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
body | object[] | Yes | — | Request body |
discord-apps_bulk_set_guild_application_commands
PUT /applications/{application_id}/guilds/{guild_id}/commands Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
body | object[] | Yes | — | Request body |
discord-apps_consume_entitlement
POST /applications/{application_id}/entitlements/{entitlement_id}/consume Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
entitlement_id | string | Yes | — | Entitlement Id |
discord-apps_create_application_command
POST /applications/{application_id}/commands Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
contexts | integer[] | No | — | The contexts value | |
default_member_permissions | integer | null | No | — | Default Member Permissions |
description | string | null | No | — | The description value |
description_localizations | object | No | — | Description Localizations | |
dm_permission | boolean | null | No | — | Dm Permission |
handler | integer | null | No | — | Determines whether the interaction is handled by the app’s interactions handler or by Discord |
integration_types | integer[] | No | — | Integration Types | |
name | string | Yes | — | The name value | |
name_localizations | object | No | — | Name Localizations | |
options | any[] | No | — | The options value | |
type | integer | null | No | — | The type value |
discord-apps_create_application_emoji
POST /applications/{application_id}/emojis Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
image | string | Yes | — | The image value |
name | string | Yes | — | The name value |
discord-apps_create_entitlement
POST /applications/{application_id}/entitlements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
owner_id | string | Yes | — | Owner Id |
owner_type | integer | Yes | — | Owner Type |
sku_id | string | Yes | — | Sku Id |
discord-apps_create_guild_application_command
POST /applications/{application_id}/guilds/{guild_id}/commands Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
guild_id | string | Yes | — | Guild Id | |
contexts | integer[] | No | — | The contexts value | |
default_member_permissions | integer | null | No | — | Default Member Permissions |
description | string | null | No | — | The description value |
description_localizations | object | No | — | Description Localizations | |
dm_permission | boolean | null | No | — | Dm Permission |
handler | integer | null | No | — | Determines whether the interaction is handled by the app’s interactions handler or by Discord |
integration_types | integer[] | No | — | Integration Types | |
name | string | Yes | — | The name value | |
name_localizations | object | No | — | Name Localizations | |
options | any[] | No | — | The options value | |
type | integer | null | No | — | The type value |
discord-apps_create_interaction_response
POST /interactions/{interaction_id}/{interaction_token}/callback Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
interaction_id | string | Yes | — | Interaction Id |
interaction_token | string | Yes | — | Interaction Token |
with_response | boolean | No | — | With Response |
body | object | Yes | — | Request body |
discord-apps_delete_application_command
DELETE /applications/{application_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
command_id | string | Yes | — | Command Id |
discord-apps_delete_application_emoji
DELETE /applications/{application_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
emoji_id | string | Yes | — | Emoji Id |
discord-apps_delete_entitlement
DELETE /applications/{application_id}/entitlements/{entitlement_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
entitlement_id | string | Yes | — | Entitlement Id |
discord-apps_delete_guild_application_command
DELETE /applications/{application_id}/guilds/{guild_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
command_id | string | Yes | — | Command Id |
discord-apps_get_application
GET /applications/{application_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
discord-apps_get_application_command
GET /applications/{application_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
command_id | string | Yes | — | Command Id |
discord-apps_get_application_emoji
GET /applications/{application_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
emoji_id | string | Yes | — | Emoji Id |
discord-apps_get_application_role_connections_metadata
GET /applications/{application_id}/role-connections/metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
discord-apps_get_entitlement
GET /applications/{application_id}/entitlements/{entitlement_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
entitlement_id | string | Yes | — | Entitlement Id |
discord-apps_get_entitlements
GET /applications/{application_id}/entitlements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
user_id | string | No | — | User Id |
sku_ids | string[] | No | — | Sku Ids |
guild_id | string | No | — | Guild Id |
before | string | No | — | The before value |
after | string | No | — | The after value |
limit | integer | No | — | Maximum number of results to return |
exclude_ended | boolean | No | — | Exclude Ended |
exclude_deleted | boolean | No | — | Exclude Deleted |
only_active | boolean | No | — | Only Active |
discord-apps_get_guild_application_command
GET /applications/{application_id}/guilds/{guild_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
command_id | string | Yes | — | Command Id |
discord-apps_get_guild_application_command_permissions
GET /applications/{application_id}/guilds/{guild_id}/commands/{command_id}/permissions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
command_id | string | Yes | — | Command Id |
discord-apps_get_my_application
GET /applications/@mediscord-apps_list_application_commands
GET /applications/{application_id}/commands Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
with_localizations | boolean | No | — | With Localizations |
discord-apps_list_application_emojis
GET /applications/{application_id}/emojis Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
discord-apps_list_guild_application_command_permissions
GET /applications/{application_id}/guilds/{guild_id}/commands/permissions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
discord-apps_list_guild_application_commands
GET /applications/{application_id}/guilds/{guild_id}/commands Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
with_localizations | boolean | No | — | With Localizations |
discord-apps_set_guild_application_command_permissions
PUT /applications/{application_id}/guilds/{guild_id}/commands/{command_id}/permissions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
guild_id | string | Yes | — | Guild Id |
command_id | string | Yes | — | Command Id |
permissions | object[] | No | — | The permissions value |
discord-apps_update_application
PATCH /applications/{application_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
cover_image | string | null | No | — | Cover Image |
custom_install_url | string | null | No | — | Custom Install Url |
description | object | No | — | The description value | |
event_webhooks_status | integer | null | No | — | Event Webhooks Status |
event_webhooks_types | string[] | No | — | Event Webhooks Types | |
event_webhooks_url | string | null | No | — | Event webhooks URL for the app to receive webhook events |
explicit_content_filter | integer | null | No | — | Explicit Content Filter |
flags | integer | null | No | — | The flags value |
icon | string | null | No | — | The icon value |
install_params | object | No | — | Install Params | |
integration_types_config | object | No | — | Integration Types Config | |
interactions_endpoint_url | string | null | No | — | Interactions Endpoint Url |
max_participants | integer | null | No | — | Max Participants |
role_connections_verification_url | string | null | No | — | Role Connections Verification Url |
tags | string[] | No | — | The tags value | |
team_id | string | null | No | — | Team Id |
type | integer | null | No | — | The type value |
discord-apps_update_application_command
PATCH /applications/{application_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
command_id | string | Yes | — | Command Id | |
contexts | integer[] | No | — | The contexts value | |
default_member_permissions | integer | null | No | — | Default Member Permissions |
description | string | null | No | — | The description value |
description_localizations | object | No | — | Description Localizations | |
dm_permission | boolean | null | No | — | Dm Permission |
handler | integer | null | No | — | Determines whether the interaction is handled by the app’s interactions handler or by Discord |
integration_types | integer[] | No | — | Integration Types | |
name | string | No | — | The name value | |
name_localizations | object | No | — | Name Localizations | |
options | any[] | No | — | The options value |
discord-apps_update_application_emoji
PATCH /applications/{application_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
emoji_id | string | Yes | — | Emoji Id |
name | string | No | — | The name value |
discord-apps_update_application_role_connections_metadata
PUT /applications/{application_id}/role-connections/metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
body | object[] | Yes | — | Request body |
discord-apps_update_guild_application_command
PATCH /applications/{application_id}/guilds/{guild_id}/commands/{command_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
guild_id | string | Yes | — | Guild Id | |
command_id | string | Yes | — | Command Id | |
contexts | integer[] | No | — | The contexts value | |
default_member_permissions | integer | null | No | — | Default Member Permissions |
description | string | null | No | — | The description value |
description_localizations | object | No | — | Description Localizations | |
dm_permission | boolean | null | No | — | Dm Permission |
handler | integer | null | No | — | Determines whether the interaction is handled by the app’s interactions handler or by Discord |
integration_types | integer[] | No | — | Integration Types | |
name | string | No | — | The name value | |
name_localizations | object | No | — | Name Localizations | |
options | any[] | No | — | The options value |
discord-apps_update_my_application
PATCH /applications/@me Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
cover_image | string | null | No | — | Cover Image |
custom_install_url | string | null | No | — | Custom Install Url |
description | object | No | — | The description value | |
event_webhooks_status | integer | null | No | — | Event Webhooks Status |
event_webhooks_types | string[] | No | — | Event Webhooks Types | |
event_webhooks_url | string | null | No | — | Event webhooks URL for the app to receive webhook events |
explicit_content_filter | integer | null | No | — | Explicit Content Filter |
flags | integer | null | No | — | The flags value |
icon | string | null | No | — | The icon value |
install_params | object | No | — | Install Params | |
integration_types_config | object | No | — | Integration Types Config | |
interactions_endpoint_url | string | null | No | — | Interactions Endpoint Url |
max_participants | integer | null | No | — | Max Participants |
role_connections_verification_url | string | null | No | — | Role Connections Verification Url |
tags | string[] | No | — | The tags value | |
team_id | string | null | No | — | Team Id |
type | integer | null | No | — | The type value |
discord-apps_upload_application_attachment
POST /applications/{application_id}/attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
file | string | Yes | — | The file value |

